import Abstract from './Abstract';

/**
 * AddToCart za simple proizvode.
 */
export default class Simple extends Abstract
{
    /**
     *
     * @returns {{type: string, products: {}}}
     * @private
     */
    get _request()
    {
        let data = {
            type: 'simple',
            products: {}
        };

        data.products[this._productId] = this._quantity.value;

        return data;
    }
}